#!/bin/sh
##
## ubuntu.sh
## 
## Made by root
## Login   <root@focus10>
## 
## Started on  Wed Aug 27 20:58:33 2008 root
## Last update Wed Aug 27 20:58:33 2008 root
##
if test $# -ne 1
    then
    echo " "
    echo "Usage: $0 param"
    echo "          param ="
    echo "                  packages  -> to install default packages"
    echo "                  basic     -> to perform basic configuration"
    echo "                  root      -> to install ROOT"
    echo "                  rootamd64 -> to install root on amd64" 
    echo " "
    exit 1
fi
if test $# = 1
    then
    label=$1
    case $label in
	packages)
	;;
	basic)
	;;
	root)
	;;
	rootamd64)
	;;
    esac
    homedir=`pwd`
    if test "$label" = packages
	then
       	    echo "###############################################"
	    echo "#                                             #"
	    echo "#       INSTALLING DEFAULT PACKAGES           #"
	    echo "#                                             #"
	    echo "###############################################"
	    sudo ./packages.sh
	    cd $homedir
	    sudo cp -r scripts /root/.
	    sudo crontab /root/scripts/cron.txt
	    cd $homedir
	    echo "###############################################"
	    echo "#                                             #"
	    echo "#     done, please reboot your computer       #"
	    echo "#  then run the script again with argument    #"
	    echo "#  basic                                      #"
	    echo "#                                             #"
	    echo "###############################################"
	    sleep 3
	    exit
	elif test "$label" = basic
	then
	    echo "###############################################"
	    echo "#                                             #"
	    echo "#    PERFORMING BASIC CONFIGURATION TASKS     #"
	    echo "#                                             #"
	    echo "###############################################"
	    sleep 3
            sudo ./configsys.sh
	    echo "###############################################"
	    echo "#                                             #"
	    echo "#     done, please reboot your computer       #"
	    echo "#    rerun the script with argument root      #"
	    echo "#    if you want to install ROOT              #"
	    echo "#                                             #"
	    echo "###############################################"
	    sleep 3
	    exit
        elif test "$label" = root
	then
	    echo "###############################################"
	    echo "#                                             #"
	    echo "#            Installing ROOT                  #"
	    echo "#                                             #"
	    echo "###############################################"
	    sleep 3
            sudo ./rootsys.sh
	    exit
	elif test "$label" = rootamd64
	then
            echo "###############################################"
            echo "#                                             #"
            echo "#            Installing ROOT                  #"
            echo "#                                             #"
            echo "###############################################"
            sleep 3
            sudo ./rootsysamd64.sh
            exit
    fi
fi
echo "WRONG ARGUMENT - Please use: packages, basic, root or rootamd64 ONLY"

exit

